## Class IDS_Log_Database

Description

Implements interfaces:

- IDS_Log_Interface

Database logging wrapper

The database wrapper is designed to store reports into an sql database. It implements the singleton pattern and is based in PDO, supporting different database types.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Database.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- license: LGPL

Located in /Log/Database.php (line 75)

Method Summary
static object getInstance (mixed $config)
void __construct (mixed $config)
boolean execute (IDS_Report $data)
Methods
static method getInstance (line 212)

Returns an instance of this class

This method allows the passed argument to be either an instance of IDS_Init or an array.

- access: public

static object getInstance (mixed $config)

- mixed $config: IDS_Init | array

Constructor __construct (line 146)

Constructor

Prepares the SQL statement

- access: protected

void __construct (mixed $config)

- mixed $config: IDS_Init instance | array

execute (line 246)

Stores given data into the database

- throws: Exception if db error occurred
- access: public

boolean execute (IDS_Report $data)

- object $data: IDS_Report instance

Implementation of:

IDS_Log_Interface::execute()
  Interface method

Documentation generated on Mon, 22 Dec 2008 13:36:42 +0100 by phpDocumentor 1.4.2